Package groovy.lang.groovydoc

# Class Groovydoc

java.lang.Object
groovy.lang.groovydoc.Groovydoc

public class Groovydoc extends Object
Represents groovydoc

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Groovydoc`
  `EMPTY_GROOVYDOC`
  Shared empty groovydoc instance.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Groovydoc(String content, GroovydocHolder groovydocHolder)`
  Creates a groovydoc for the supplied content and holder.
  `Groovydoc(String content, AnnotatedElement annotatedElement)`
  Creates a groovydoc for the supplied content and annotated element.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getContent()`
  Get the content of groovydoc
  `GroovydocHolder`
  `getHolder()`
  Get the holder of the groovydoc
  `List<GroovydocTag>`
  `getTagList()`
  TODO Get list of groovydoc tags
  `int`
  `hashCode()`
  `boolean`
  `isPresent()`
  Tests if groovydoc is present
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### EMPTY_GROOVYDOC

    public static final Groovydoc EMPTY_GROOVYDOC
    Shared empty groovydoc instance.

- ## Constructor Details

  - ### Groovydoc

    public Groovydoc(String content, GroovydocHolder groovydocHolder)
    Creates a groovydoc for the supplied content and holder.
    Parameters:
      `content` - the doc text
      `groovydocHolder` - the owning holder

  - ### Groovydoc

    public Groovydoc(String content, AnnotatedElement annotatedElement)
    Creates a groovydoc for the supplied content and annotated element.
    Parameters:
      `content` - the doc text
      `annotatedElement` - the owning annotated element

- ## Method Details

  - ### isPresent

    public boolean isPresent()
    Tests if groovydoc is present
    Returns:
      `true` if groovydoc is present

  - ### getContent

    public String getContent()
    Get the content of groovydoc
    Returns:
      the text content

  - ### getTagList

    public List<GroovydocTag> getTagList()
    TODO Get list of groovydoc tags
    Returns:
      a list of tags

  - ### getHolder

    public GroovydocHolder getHolder()
    Get the holder of the groovydoc
    Returns:
      the groovydoc holder

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`